Loading...
Searching...
No Matches
SqlUtil::SqlUtilColumnField Class Reference

SqlUtil column field class. More...

`#include <SqlUtilColumnField.qc.dox.h>`

## Public Member Functions

| constructor (string name, *string desc, AbstractDataProviderType type, auto default_value)
| creates the field from the arguments
| constructor (string name, *string desc, Type type, auto default_value)
| creates the field from the arguments
| setDefaultValue (auto default_value)
| sets the default value for the field

## Detailed Description

SqlUtil column field class.

## Member Function Documentation

## constructor()

SqlUtil::SqlUtilColumnField::constructor | ( | string | name,
|  | *string | desc,
|  | Type | type,
|  | auto | default_value )

creates the field from the arguments

if a default value is given, the value may be an expression executed server side which will fail the type checks in the assignment, so if we have a default value, in case we cannot set it, we set the type to nullable as anyway the value will be generated server side